<%@ Page Language="C#" AutoEventWireup="true"
    CodeFile="GroupMemberAggregateStatus.aspx.cs" Inherits="Orion_NetPerfMon_GroupMemberAggregateStatus" EnableEventValidation="false"
    EnableViewState="true" Title="Group Members Aggregate Status"%>
<%@ Register Assembly="OrionWeb" Namespace="SolarWinds.Orion.Web.UI" TagPrefix="web" %>
<%@ Register TagPrefix="orion" TagName="NetworkObjects" Src="~/Orion/Controls/NetworkObjectControl.ascx" %>
<%@ Register TagPrefix="orion" TagName="NetworkObjectTypes" Src="~/Orion/Controls/TypeOfDevicerControl.ascx" %>
<%@ Register TagPrefix="orion" TagName="TrapTypes" Src="~/Orion/Controls/TrapTypeControl.ascx" %>
<%@ Register TagPrefix="orion" TagName="CommunityStrings" Src="~/Orion/Controls/CommunityStringControl.ascx" %>
<%@ Register TagPrefix="orion" TagName="HelpButton" Src="~/Orion/Controls/HelpButton.ascx" %>
<%@ Register TagPrefix="orion" Namespace="SolarWinds.Orion.Web.Controls" %>
<%@ Register TagPrefix="orion" TagName="Reposter" Src="~/Orion/Controls/Reposter.ascx" %>
<%@ Register TagPrefix="orion" TagName="PickerTimePeriodControl" Src="~/Orion/Controls/PickerTimePeriodControl.ascx" %>
<%@ Register Src="~/Orion/Controls/IconHelpButton.ascx" TagPrefix="orion" TagName="IconHelpButton" %>

<html>
<head runat=server>
	<base target="_parent" />
	<link rel="stylesheet" type="text/css" href="/orion/js/jquery-1.7.1/jquery-ui.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />
	<link rel="stylesheet" type="text/css" href="/orion/styles/orionminreqs.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />
	<link rel="stylesheet" type="text/css" href="/webengine/resources/slategray.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />
	<link rel="stylesheet" type="text/css" href="/orion/styles/commonviewstyles.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />
	<link rel="stylesheet" type="text/css" href="/orion/apm/apm.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />
	<link rel="stylesheet" type="text/css" href="/orion/apm/apmevents.css.i18n.ashx?l=en-US&v=42051.68&csd=white;%23e0e0e0;%23cccccc;" />	
<style type="text/css">
        .highlight
        {
        	color:Black;
        	font-weight: normal;
        	background-color: #ffe89e;
        }
    
</style>
<!-- <style type="text/css">
	 .sw-pg-nonbutton { background: transparent; border: 0; padding: 0; margin-right: 4px; }
	 .sw-pg-events thead { background-color: #dddcd0; }
	 .sw-pg-events thead tr:first-child td { padding: 0; }
	 .sw-pg-events tbody td /*, .sw-pg-events .sw-pg-text td*/ { border-bottom: 1px groove #D8D6D1; }
	 .sw-pg-events thead .sw-pg-coltime { padding-right: 26px; }
	 .sw-pg-events thead .sw-pg-coltime a:hover, .sw-pg-events thead .sw-pg-colmsg a:hover { color: #000; }
	 .sw-pg-colcbox { text-align: center; width: 30px; }
	 .sw-pg-coltime { white-space: nowrap; }
	 .sw-pg-colimg { text-align: center; width: 25px; }
	 .sw-pg-colmsg { }
	</style> -->
	
</head>
	
<body>
<h2 style="font-size:smaller"><%=getGroupName() %></h2>

<div class="ResourceWrapperPanel" style="position:absolute; display:block; left:0px; top:21px; width:295px; height:154px;" ID="AggregateStatusPanel" runat="server">
	<canvas class="bullseye" width="130" height="130" id="bullseye_<%=Page.Title %>_stats" style="position:absolute; top: 5px; left: 10px;"></canvas>
	<table class="DataGrid" cellspacing="0" cellpadding="3" class="sw-pg-events" style="position:absolute; width:150px; height:142px; border-collapse:collapse; border-spacing: 0px; right:5px">
		<thead>
			<tr>
			<td class="sw-pg-colcbox" style="height: 1px;"><!-- ie --></td>
			<td class="sw-pg-coltime" style="height: 1px;"><!-- ie --></td>
			</tr>
		</thead>
		<tbody>

		<asp:Repeater ID="AggregateStatusGrid" runat="server">
            <ItemTemplate>
                <tr style="border-top:thin solid">
				<td width="10px" bgcolor=<%#Eval("Color") %> >&nbsp;</td>
	            <td>
				<asp:HyperLink ID="IconHyperLink" runat="server" NavigateUrl='<%#Eval("detailsURL")%>'>
				<img src="<%#Eval("Icon") %>" alt=""/>
				</asp:HyperLink>
                 </td>
	            <td>
				<asp:HyperLink ID="StatusHyperLink" runat="server" NavigateUrl='<%#Eval("detailsURL")%>'><%#Eval("Status") %></asp:HyperLink>
                 </td>
	            <td align="right">
				<asp:HyperLink ID="CountHyperLink" runat="server" NavigateUrl='<%#Eval("detailsURL")%>'><%#Eval("PercentStatus") %>%</asp:HyperLink>
                 </td>
                </tr>
            </ItemTemplate>
		</asp:Repeater>

		</tbody>
	</table>
   </table>
</div>
<div class="ResourceWrapperPanel" style="position:absolute; display:block; left:0px; top:21px; width:295px; height:154px;" ID="ErrorPanel" visible="false" runat="server">
	<asp:Label ID="ErrorLabel" runat="server"/>
</div>

<body>

</html>

<script>

function chart_pie(bullseye_id, start_percent, percent_value, color) {
    var context = document.getElementById(bullseye_id + "_stats").getContext('2d');
	if (!context)
        return;
    var pie_d = 120;
    var pie_x = pie_d/2;
    var pie_y = pie_d/2;
    context.fillStyle = color;
    context.save();
    context.translate(pie_x, pie_y);
    //context.scale(1, 1);
    context.beginPath();

    context.moveTo(0,0);
	context.arc(0, 0, (pie_d/2), (start_percent/100) * 2* Math.PI, ((start_percent + percent_value)/100) * 2 * Math.PI, false);
	context.moveTo(0,0);

	context.closePath();
    context.fill();
    context.restore();
    context = null;
}

</script>

<script language="javascript">

function has_canvas_support() {
    return document.createElement('canvas').getContext;
}

if (has_canvas_support()) {

	<asp:Repeater ID="pieChartJSGrid" runat="server">
     <ItemTemplate>chart_pie("bullseye_<%=Page.Title %>", <%#Eval("StartPercent")%>, <%#Eval("Value")%>, '<%#Eval("Color")%>');
	 </ItemTemplate>
	</asp:Repeater>

}

</script>
